<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>上傳多重檔案</title>
</head>
<body>
<?php
// 上傳檔將存入此路徑裡的 uploads 資料夾
$upload_dir = "uploads/";
// 上傳檔總數
$total_uploads = 3;
// 上傳檔大小限制，此處限制為400KB
$size_bytes =400 * 1024;
// 副檔名限制
$limitedext = array(".gif",".jpg",".jpeg");
echo "<h3>上傳結果</h3>";
// 用迴圈讀取上傳欄位資料
for ($i = 0; $i < $total_uploads; $i++) {
   $new_file = $_FILES['file'.$i];
   // 讀取上傳檔名
   $file_name = $new_file['name'];
	// 把檔名中的空格替換成 "_"
   $file_name = str_replace(' ', '_', $file_name);
   // 存入暫存區的檔名
   $file_tmp = $new_file['tmp_name'];
   // 檔案大小
   $file_size = $new_file['size'];
   // 判斷欄位是否指定上傳檔案…
   if (!is_uploaded_file($file_tmp)) {
		// 沒有上傳檔，顯示訊息。
	  echo "欄位 $i: 沒有選取上傳檔案。<br />";
   }else{
	// 若有上傳檔，則取出該檔案的副檔名
	 $ext = strrchr($file_name,'.');
	 // 判斷副檔名是否符合預期
	 if (!in_array(strtolower($ext),$limitedext)) {
		// 不符合預期，顯示錯誤訊息。
		echo "欄位 $i: ($file_name) 的檔案副檔名有誤（只允許GIF和JPEG檔） <br />";
	 }else{
		// 檢查檔案是否太大
	   if ($file_size > $size_bytes){
		   echo "欄位 $i: ($file_name) 無法上傳，請檢查檔案是否小於 ". $size_bytes / 1024 ." KB。<br />";
	   }else{
		   if (move_uploaded_file($file_tmp,$upload_dir.$file_name)) {
			   echo "欄位 $i: ($file_name) 上傳成功！<br />";
		   }else{
				echo "欄位 $i: 無法上傳。<br />";
		   }
	   }
	 }
   }
}
?>
</body>
</html>